import { IBookStore } from './book.store';
import { IBookStoreController } from './controller.d';
export default class BookStoreController implements IBookStoreController {
    private bookStoreService;
    getBookStores(): Promise<IBookStore[]>;
    createBookStore(bookStore: IBookStore): Promise<IBookStore>;
    getBookStoreById(id: string): Promise<IBookStore>;
    updateBookStore(bookStore: IBookStore, id: string): Promise<IBookStore>;
    deleteBookStore(id: string): Promise<IBookStore>;
}
