"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const json_typescript_mapper_1 = require("json-typescript-mapper");
const Validator_1 = require("../../core/utils/Validator");
class BookStore {
    constructor() {
        this.id = void 0;
        this.bookStoreName = void 0;
        this.bookStoreId = void 0;
        this.createdDate = void 0;
        this.lastModified = void 0;
        this.isDeleted = void 0;
    }
    validate() {
        const data = this;
        const schema = {
            id: Validator_1.default.VALIDATOR_SCHEMA.UUID,
            bookStoreName: Validator_1.default.VALIDATOR_SCHEMA.BOOK_STORE_NAME,
            bookStoreId: Validator_1.default.VALIDATOR_SCHEMA.BOOK_STORE_ID,
            isDeleted: Validator_1.default.VALIDATOR_SCHEMA.IS_DELETED,
            createdDate: Validator_1.default.VALIDATOR_SCHEMA.CREATED_DATE,
            lastModified: Validator_1.default.VALIDATOR_SCHEMA.LAST_MODIFIED
        };
        Validator_1.default.validate(data, schema);
    }
}
__decorate([
    json_typescript_mapper_1.JsonProperty('id'),
    __metadata("design:type", String)
], BookStore.prototype, "id", void 0);
__decorate([
    json_typescript_mapper_1.JsonProperty('bookStoreName'),
    __metadata("design:type", String)
], BookStore.prototype, "bookStoreName", void 0);
__decorate([
    json_typescript_mapper_1.JsonProperty('bookStoreId'),
    __metadata("design:type", String)
], BookStore.prototype, "bookStoreId", void 0);
__decorate([
    json_typescript_mapper_1.JsonProperty('lastModified'),
    __metadata("design:type", String)
], BookStore.prototype, "lastModified", void 0);
__decorate([
    json_typescript_mapper_1.JsonProperty('createDate'),
    __metadata("design:type", String)
], BookStore.prototype, "createdDate", void 0);
__decorate([
    json_typescript_mapper_1.JsonProperty('isDeleted'),
    __metadata("design:type", Boolean)
], BookStore.prototype, "isDeleted", void 0);
exports.BookStore = BookStore;
//# sourceMappingURL=BookStore.js.map