/**
 * @author Olsi Rrjolli
 * This Class represent the service layer for BookStore
 */
import { IBookStoreService } from './service';
import { IBookStore } from './book.store';
export default class BookStoreService implements IBookStoreService {
    private bookStoreRepository;
    getBookStores(): Promise<IBookStore[]>;
    createBookStore(bookStore: IBookStore): Promise<IBookStore>;
    getBookStoreById(id: string): Promise<IBookStore>;
    updateBookStore(bookStore: IBookStore, id: string): Promise<IBookStore>;
    deleteBookStore(id: string): Promise<IBookStore>;
}
